Cloud Foundry Logo

CVE-2019-11290: UAA logs query parameters in tomcat access file

By: | November 21, 2019

Share

Severity

High

Vendor

Cloud Foundry Foundation

Description

Cloud Foundry UAA Release, versions prior to v74.8.0, logs all query parameters to tomcat’s access file. If the query parameters are used to provide authentication, ie. credentials, then they will be logged as well.

Affected Cloud Foundry Products and Versions

  • CF Deployment
    • All versions prior to v12.10.0
  • UAA Release
    • All versions prior to v74.8.0

Mitigation

Users of affected products are strongly encouraged to follow the mitigations below. The Cloud Foundry project recommends upgrading the following releases:

  • CF Deployment
    • Upgrade All versions to v12.10.0 or greater
  • UAA Release
    • Upgrade All versions to v74.8.0 or greater

History

2019-11-21: Initial vulnerability report published.

Cloud Foundry Foundation Security Team Profile Image

Cloud Foundry Foundation Security Team, AUTHOR

SEE ALL ARTICLES